//
//  CDHandler.swift
//  iOSNetworkJSON
//
//  Created by xlu on 6/2/22.
//

import UIKit
import CoreData

class CDHandler {
    private let viewContext: NSManagedObjectContext = (UIApplication.shared.delegate as! AppDelegate).persistentContainer.viewContext
    
    func add<T: NSManagedObject>(_ type: T.Type) -> T? {
        guard let entityName = T.entity().name else {return nil}
        guard let entity = NSEntityDescription.entity(forEntityName: entityName, in: viewContext) else {return nil}
        let object = T(entity: entity, insertInto: viewContext)
        return object
    }
    
    func save(){
        do {
            try viewContext.save()
            print("Save Good")
        }catch {
            print(error.localizedDescription)
        }
    }
}
